> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Positions

> Retrieve all active fcm positions for a given entity.



## OpenAPI

````yaml GET /v1/entities/{entity_id}/futures/positions
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/positions:
    get:
      tags:
        - Futures
      summary: Get Entity Positions
      description: Retrieve all active fcm positions for a given entity.
      operationId: PrimeRESTAPI_GetPositions
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
        - name: product_id
          in: query
          description: Product ID. Optional
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetPositionsResponse
components:
  schemas:
    coinbase.public_rest_api.GetPositionsResponse:
      type: object
      properties:
        positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.FcmPosition'
        clearing_account_id:
          type: string
          description: Clearing account ID
          example: CFS1234567
    coinbase.public_rest_api.FcmPosition:
      type: object
      properties:
        product_id:
          type: string
          description: Product ID
          example: BTC-31JAN24-CDE
        side:
          $ref: '#/components/schemas/coinbase.public_rest_api.FcmPositionSide'
        number_of_contracts:
          type: string
          description: Number of contracts
          example: '10'
        daily_realized_pnl:
          type: string
          description: Daily realized PNL
          example: '10.12'
        unrealized_pnl:
          type: string
          description: Unrealized PNL
          example: '10.12'
        current_price:
          type: string
          description: Current price of position
          example: '10.12'
        avg_entry_price:
          type: string
          description: Average entry price
          example: '10.12'
        expiration_time:
          type: string
          description: Expiration time of position
          format: date-time
          example: '2021-01-01T00:00:00.000Z'
    coinbase.public_rest_api.FcmPositionSide:
      type: string
      default: FCM_POSITION_SIDE_UNSPECIFIED
      enum:
        - FCM_POSITION_SIDE_UNSPECIFIED
        - LONG
        - SHORT

````